import { VueElement, createApp,Vue } from 'vue'
import App from './App.vue'
import router from './router'
import * as echarts from 'echarts'
import $ from 'jquery'
//import Vuex from 'vuex' // 引入vuex
import ElementUI from 'element-plus'
import { createPinia } from 'pinia'
import 'element-plus/theme-chalk/index.css' // 引入整个Element样式
import './style/index.css' // 引入整个Element样式
import "normalize.css/normalize.css";//重置样式
import '@/js/lindex.js'
// import mitt from 'mitt'

//import '"element-plus/dist/index.css'
//创建一个路由.user(router)
createApp(App)
    .use(router)
    .use(ElementUI)
    .use(createPinia)
    // .use(mitt)
    //.use(Vuex)
    .mount('#app')
    const originalReplace = router.prototype.replace
    router.prototype.replace = function replace(location) {
  return originalReplace.call(this, location).catch(err => err);
}
VueElement.prototype.$echarts = echarts;
// app.config.globalProperties.$mitt=mitt();

